# Copyright(c) 2006 Association of Universities for Research in Astronomy, Inc.

procedure ggdbhelper (inimage)

# GGDBHELPER - Using date info in image, select appropriate gaindb file.

char    inimage {prompt="Select gaindb for this image"}
char    gaindb  {"", prompt="Output. Name of gain db for input image"}
int     status  {0, prompt="Exit status (0=good)"}

begin

    char    l_inimage = ""
    
    char    keyfound
    int     obsdate
    int     junk
    
    junk = fscan (inimage, l_inimage)
    
    status = 0
    
    keyfound = ""
    hselect (l_inimage, "DATE-OBS", yes) | scan (keyfound)
    if (keyfound == "") {
        status = 131
        printlog ("GGDBHELPER: DATE-OBS keyword is missing from "//l_inimage)
    } else {
    
        # Convert DATE-OBS to second for easier before-after date comparison
        cnvtsec (keyfound, "00:00:00") | scan (obsdate)
                
        # Calculate new gain data boundary dates with cnvtsec like so:
        #   cnvtsec ("2006-08-31", "00:00:00")
        #
        #   For GMOS-S: UT August 31, 2006 => 841449600 seconds
        
        if (obsdate < 841449600) {   # Up to UT August 31, 2006
            gaindb = "gmos$data/gmosamps-20060831.dat"
        } else {                    # Current default
            gaindb = "gmos$data/gmosamps.dat"
        }
    }

end
